package com.ruoyi.project.training.elearn.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.training.elearn.mapper.TElUserQuMapper;
import com.ruoyi.project.training.elearn.domain.TElUserQu;
import com.ruoyi.project.training.elearn.service.ITElUserQuService;

/**
 * 答题记录Service业务层处理
 *
 * @author ssy
 * @date 2024-06-04
 */
@Service
public class TElUserQuServiceImpl implements ITElUserQuService
{
    @Autowired
    private TElUserQuMapper tElUserQuMapper;

    /**
     * 查询答题记录
     *
     * @param id 答题记录ID
     * @return 答题记录
     */
    @Override
    public TElUserQu selectTElUserQuById(Long id)
    {
        return tElUserQuMapper.selectTElUserQuById(id);
    }

    /**
     * 查询答题记录列表
     *
     * @param tElUserQu 答题记录
     * @return 答题记录
     */
    @Override
    public List<TElUserQu> selectTElUserQuList(TElUserQu tElUserQu)
    {
        return tElUserQuMapper.selectTElUserQuList(tElUserQu);
    }

    /**
     * 新增答题记录
     *
     * @param tElUserQu 答题记录
     * @return 结果
     */
    @Override
    public int insertTElUserQu(TElUserQu tElUserQu)
    {
        return tElUserQuMapper.insertTElUserQu(tElUserQu);
    }

    /**
     * 修改答题记录
     *
     * @param tElUserQu 答题记录
     * @return 结果
     */
    @Override
    public int updateTElUserQu(TElUserQu tElUserQu)
    {
        return tElUserQuMapper.updateTElUserQu(tElUserQu);
    }

    /**
     * 批量删除答题记录
     *
     * @param ids 需要删除的答题记录ID
     * @return 结果
     */
    @Override
    public int deleteTElUserQuByIds(Long[] ids)
    {
        return tElUserQuMapper.deleteTElUserQuByIds(ids);
    }

    /**
     * 删除答题记录信息
     *
     * @param id 答题记录ID
     * @return 结果
     */
    @Override
    public int deleteTElUserQuById(Long id)
    {
        return tElUserQuMapper.deleteTElUserQuById(id);
    }
}
